Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dtd
Class XMLDTDLoader

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.XMLDTDProcessor
          weblogic.apache.xerces.impl.dtd.XMLDTDLoader

All Implemented Interfaces:
  XMLGrammarLoader, XMLComponent, XMLDTDContentModelFilter, XMLDTDContentModelSource, XMLDTDFilter, XMLDTDSource, XMLDTDContentModelHandler, XMLDTDHandler

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLDTDLoader

extends XMLDTDProcessor
implements XMLGrammarLoader

The DTD loader. The loader knows how to build grammars from XMLInputSources. It extends the dTD processor in order to do this; it's a separate class because DTD processors don't need to know how to talk to the outside world in their role as instance-document helpers.

This component requires the following features and properties. It know ho to set them if no one else does:from the

- http://xml.org/sax/features/namespaces
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/grammar-pool
- http://apache.org/xml/properties/internal/datatype-validator-factory

Field Summary
`static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_HANDLER` Deprecated. Property identifier: error handler.
`protected XMLDTDScannerImpl` | `fDTDScanner` Deprecated.
`protected XMLEntityManager` | `fEntityManager` Deprecated.
`protected XMLEntityResolver` | `fEntityResolver` Deprecated. Entity resolver .
`protected Locale` | `fLocale` Deprecated.

Fields inherited from class weblogic.apache.xerces.impl.dtd.XMLDTDProcessor
`DTD_VALIDATOR, ERROR_REPORTER, fDTDContentModelHandler, fDTDGrammar, fDTDHandler, fDTDValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fInDTDIgnore, fSymbolTable, fValidation, fValidator, fWarnDuplicateAttdef, GRAMMAR_POOL, NOTIFY_CHAR_REFS, SYMBOL_TABLE, VALIDATION, WARN_ON_DUPLICATE_ATTDEF`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`XMLDTDLoader()` Deprecated. Deny default construction; we need a SymtolTable!
`XMLDTDLoader(SymbolTable symbolTable)` Deprecated.
`XMLDTDLoader(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated.

Method Summary
`XMLEntityResolver` | `getEntityResolver()` Deprecated. Returns the registered entity resolver.
`XMLErrorHandler` | `getErrorHandler()` Deprecated. Returns the registered error handler.
`boolean` | `getFeature(String featureId)` Deprecated. Returns the state of a feature.
`Locale` | `getLocale()` Deprecated. Return the Locale the XMLGrammarLoader is using.
`Object` | `getProperty(String propertyId)` Deprecated. Returns the state of a property.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this component.
`Grammar` | `loadGrammar(XMLInputSource source)` Deprecated. Returns a Grammar object by parsing the contents of the entity pointed to by source.
`void` | `setEntityResolver(XMLEntityResolver entityResolver)` Deprecated. Sets the entity resolver.
`void` | `setErrorHandler(XMLErrorHandler errorHandler)` Deprecated. Sets the error handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setLocale(Locale locale)` Deprecated. Set the locale to use for messages.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Sets the value of a property.

Methods inherited from class weblogic.apache.xerces.impl.dtd.XMLDTDProcessor
`any, attributeDecl, checkStandaloneEntityRef, comment, element, elementDecl, empty, endAttlist, endConditional, endContentModel, endDTD, endExternalSubset, endGroup, endParameterEntity, externalEntityDecl, getRecognizedFeatures, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, processingInstruction, reset, reset, separator, setDTDContentModelHandler, setDTDHandler, startAttlist, startConditional, startContentModel, startDTD, startExternalSubset, startGroup, startParameterEntity, textDecl, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.grammars.XMLGrammarLoader
`getRecognizedFeatures`

Field Detail

### ERROR_HANDLER

    protected static final String ERROR_HANDLER

  Deprecated.
  Property identifier: error handler.

  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    public static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### fEntityResolver

    protected XMLEntityResolver fEntityResolver

  Deprecated.
  Entity resolver .

### fDTDScanner

    protected XMLDTDScannerImpl fDTDScanner

  Deprecated.

### fEntityManager

    protected XMLEntityManager fEntityManager

  Deprecated.

### fLocale

    protected Locale fLocale

  Deprecated.

Constructor Detail

### XMLDTDLoader

    public XMLDTDLoader()

  Deprecated.
  Deny default construction; we need a SymtolTable!

### XMLDTDLoader

    public XMLDTDLoader(SymbolTable symbolTable)

  Deprecated.

### XMLDTDLoader

    public XMLDTDLoader(SymbolTable symbolTable,
                        XMLGrammarPool grammarPool)

  Deprecated.

Method Detail

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Specified by:
    `setFeature` in interface `XMLGrammarLoader`
  Specified by:
    `setFeature` in interface `XMLComponent`
  Overrides:
    `setFeature` in class `XMLDTDProcessor`
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getRecognizedProperties

    public String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.

  Specified by:
    `getRecognizedProperties` in interface `XMLGrammarLoader`
  Specified by:
    `getRecognizedProperties` in interface `XMLComponent`
  Overrides:
    `getRecognizedProperties` in class `XMLDTDProcessor`

### getProperty

    public Object getProperty(String propertyId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the state of a property.

  Specified by:
    `getProperty` in interface `XMLGrammarLoader`
  Parameters:
    `propertyId` - The property identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Specified by:
    `setProperty` in interface `XMLGrammarLoader`
  Specified by:
    `setProperty` in interface `XMLComponent`
  Overrides:
    `setProperty` in class `XMLDTDProcessor`
  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getFeature

    public boolean getFeature(String featureId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the state of a feature.

  Specified by:
    `getFeature` in interface `XMLGrammarLoader`
  Parameters:
    `featureId` - The feature identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### setLocale

    public void setLocale(Locale locale)

  Deprecated.
  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `XMLGrammarLoader`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `XNIException` - Thrown if the parser does not support the specified locale.

### getLocale

    public Locale getLocale()

  Deprecated.
  Return the Locale the XMLGrammarLoader is using.

  Specified by:
    `getLocale` in interface `XMLGrammarLoader`

### setErrorHandler

    public void setErrorHandler(XMLErrorHandler errorHandler)

  Deprecated.
  Sets the error handler.

  Specified by:
    `setErrorHandler` in interface `XMLGrammarLoader`
  Parameters:
    `errorHandler` - The error handler.

### getErrorHandler

    public XMLErrorHandler getErrorHandler()

  Deprecated.
  Returns the registered error handler.

  Specified by:
    `getErrorHandler` in interface `XMLGrammarLoader`

### setEntityResolver

    public void setEntityResolver(XMLEntityResolver entityResolver)

  Deprecated.
  Sets the entity resolver.

  Specified by:
    `setEntityResolver` in interface `XMLGrammarLoader`
  Parameters:
    `entityResolver` - The new entity resolver.

### getEntityResolver

    public XMLEntityResolver getEntityResolver()

  Deprecated.
  Returns the registered entity resolver.

  Specified by:
    `getEntityResolver` in interface `XMLGrammarLoader`

### loadGrammar

    public Grammar loadGrammar(XMLInputSource source)
                        throws IOException,
                               XNIException

  Deprecated.
  Returns a Grammar object by parsing the contents of the entity pointed to by source.

  Specified by:
    `loadGrammar` in interface `XMLGrammarLoader`
  Parameters:
    `source` - the location of the entity which forms the starting point of the grammar to be constructed.
  Throws:
    `IOException` - When a problem is encountered reading the entity XNIException When a condition arises (such as a FatalError) that requires parsing of the entity be terminated.
    `XNIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD